Skip to main content
GET
/
v1
/
beneficiaries
/
{beneficiaryId}
Get
curl --request GET \
  --url https://api.cadanapay.com/v1/beneficiaries/{beneficiaryId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cadanapay.com/v1/beneficiaries/{beneficiaryId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cadanapay.com/v1/beneficiaries/{beneficiaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "30e06567-9fa9-48b0-bf67-c54eb49e8b03",
  "tenantKey": "cad65668351",
  "businessId": "186ea4c2-b606-4f13-a2b3-5cca8564c17e",
  "name": "John Doe",
  "countryCode": "CO",
  "currency": "COP",
  "paymentDetails": {
    "preferredMethod": "bank",
    "bank": {
      "accountName": "John Doe",
      "accountNumber": "123456789",
      "accountType": "Checking",
      "bankCode": "EXMPCOBB",
      "bankName": "Colombia Bank",
      "branchName": "",
      "beneficiaryId": {
        "type": "NIT",
        "value": "123456789"
      },
      "address": {
        "line1": "Avenida Caracas",
        "line2": "",
        "city": "Bogota",
        "postalCode": "",
        "state": "",
        "countryCode": "CO"
      },
      "email": "john.doe@example.com"
    }
  },
  "kyc": {
    "firstName": "John",
    "lastName": "Doe",
    "dateOfBirth": "1985-12-20",
    "countryCode": "CO",
    "idType": "PASSPORT",
    "idNumber": "PA1234567",
    "idFileFront": "1d3f870c-bc91-4636-a0d4-8e54bccf7d64",
    "idFileBack": ""
  },
  "createdTimestamp": 1748550207,
  "lastUpdatedTimestamp": 1748550207
}
{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

beneficiaryId
string<uuid>
required

The unique identifier for the beneficiary

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

Response

Get beneficiary response

name
string
required
Example:

"John Doe"

countryCode
string
required

The country code of the beneficiary in ISO 3166-1 alpha-2 format

Example:

"KE"

currency
string
required

The currency of the beneficiary in ISO 4217 format

Example:

"KES"

paymentDetails
object
required
kyc
object
required

KYC attributes for a beneficiary

id
string<uuid>
required
Example:

"7a7f80a6-1665-4f64-9ef3-d5f90f8f309b"

createdTimestamp
integer
required

Unix timestamp when the beneficiary was created

Example:

1748478276

lastUpdatedTimestamp
integer
required

Unix timestamp when the beneficiary was last updated

Example:

1748478276

email
string<email>
Example:

"john.doe@example.com"